## net.dontdrinkandroot.wicket.choicerenderer
Class ShortMonthChoiceRenderer

    java.lang.Object
      net.dontdrinkandroot.wicket.choicerenderer.ShortMonthChoiceRenderer

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.markup.html.form.IChoiceRenderer<java.lang.Integer>, org.apache.wicket.util.io.IClusterable

    public class ShortMonthChoiceRenderer

extends java.lang.Object
implements org.apache.wicket.markup.html.form.IChoiceRenderer<java.lang.Integer>

Choice renderer that converts Integer values to the corresponding shortMonths String, based on the given locale.

See Also:
  `DateFormatSymbols.getShortMonths()`, Serialized Form

Constructor Summary
`ShortMonthChoiceRenderer(java.util.Locale locale)`

Method Summary
`java.lang.Object` `getDisplayValue(java.lang.Integer object)`
`java.lang.String` `getIdValue(java.lang.Integer object, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShortMonthChoiceRenderer

    public ShortMonthChoiceRenderer(java.util.Locale locale)

Method Detail

### getDisplayValue

    public java.lang.Object getDisplayValue(java.lang.Integer object)

  Specified by:
    `getDisplayValue` in interface `org.apache.wicket.markup.html.form.IChoiceRenderer<java.lang.Integer>`

### getIdValue

    public java.lang.String getIdValue(java.lang.Integer object,
                                       int index)

  Specified by:
    `getIdValue` in interface `org.apache.wicket.markup.html.form.IChoiceRenderer<java.lang.Integer>`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.